com.holonplatform.vaadin.flow.components.builders

## Interface LocalDateInputBuilder

- All Superinterfaces:
    BaseDateInputBuilder<LocalDate,LocalDateInputBuilder>, ComponentConfigurator<LocalDateInputBuilder>, DeferrableLocalizationConfigurator<LocalDateInputBuilder>, FocusableConfigurator<com.vaadin.flow.component.Component,LocalDateInputBuilder>, HasDeferrableLocalization, HasElementConfigurator<LocalDateInputBuilder>, HasEnabledConfigurator<LocalDateInputBuilder>, HasLabelConfigurator<LocalDateInputBuilder>, HasPlaceholderConfigurator<LocalDateInputBuilder>, HasSizeConfigurator<LocalDateInputBuilder>, HasStyleConfigurator<LocalDateInputBuilder>, InputBuilder<LocalDate,ValueHolder.ValueChangeEvent<LocalDate>,Input<LocalDate>,LocalDateInputBuilder>, InputConfigurator<LocalDate,ValueHolder.ValueChangeEvent<LocalDate>,LocalDateInputBuilder>, InputValueConfigurator<LocalDate,ValueHolder.ValueChangeEvent<LocalDate>,LocalDateInputBuilder>

      public interface LocalDateInputBuilder
      extends BaseDateInputBuilder<LocalDate,LocalDateInputBuilder>

  A `BaseDateInputBuilder` to create `LocalDate` type `Input` components.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseDateInputBuilder

      `BaseDateInputBuilder.CalendarLocalization, BaseDateInputBuilder.CalendarLocalizationBuilder<D,B extends BaseDateInputBuilder<D,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalDateInputBuilder` | `create()` Create a new `LocalDateInputBuilder`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseDateInputBuilder

      `initialPosition, locale, localization, localization, max, min, updateLocaleOnAttach, weekNumbersVisible`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### create

          static LocalDateInputBuilder create()

      Create a new `LocalDateInputBuilder`.
      Returns:
        A new `LocalDateInputBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.